package org.dromara.payment.merchant.service;

import org.dromara.payment.merchant.domain.BusMerchantProductSyd;
import org.dromara.payment.merchant.domain.vo.BusMerchantProductSydVo;
import org.dromara.payment.merchant.domain.bo.BusMerchantProductSydBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 企业产品服务商Service接口
 *
 * @author LionLi
 * @date 2024-04-25
 */
public interface IBusMerchantProductSydService {

    /**
     * 查询企业产品服务商
     */
    BusMerchantProductSydVo queryById(Long id);

    /**
     * 查询企业产品服务商列表
     */
    TableDataInfo<BusMerchantProductSydVo> queryPageList(BusMerchantProductSydBo bo, PageQuery pageQuery);

    /**
     * 查询企业产品服务商列表
     */
    List<BusMerchantProductSydVo> queryList(BusMerchantProductSydBo bo);

    /**
     * 新增企业产品服务商
     */
    Boolean insertByBo(BusMerchantProductSydBo bo);

    /**
     * 修改企业产品服务商
     */
    Boolean updateByBo(BusMerchantProductSydBo bo);

    /**
     * 校验并批量删除企业产品服务商信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
